Set model use mode
curl --request PATCH \
--url https://neo.api.projectdiscovery.io/api/v1/byok/mode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/byok/mode"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/byok/mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource_id": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}BYOK
Set model use mode
Set the model use mode to either “neo” (platform-managed) or “byok” (bring your own key).
When switching to “byok”, at least one provider key must be configured. When the last provider key is deleted, the mode auto-switches back to “neo”.
Access control:
- Solo users: Sets their own mode
- Team admins: Sets the team’s mode (applies to all team members)
- Team members/viewers: Returns 403
PATCH
/
api
/
v1
/
byok
/
mode
Set model use mode
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Body
application/json
Model use mode: 'neo' for platform-managed, 'byok' for bring your own key
Available options:
neo, byok ⌘I

